[Bug 1771061] Re: please merge new chrony 3.3 for Cosmic

2018-05-14 Thread Christian Ehrhardt
TODO: - 1744664 and 1754358 to be combined in changelog mentioning and commits - 1761327 + 1751241 - Drop Delta (accepted in Debian) - Patches we carried that we brought upstream in 3.3 (Drop) - e8096330 debian/patches/lp1589780-sys_linux-don-t-keep-CAP_SYS_TIME-with-x-option.patch - b563048e

[Bug 1770090] Re: byobu-config can't run on Ubuntu 18(python 3)

2018-05-14 Thread Christian Ehrhardt
Yeah, agree to the wish as a dependency ** Changed in: byobu (Ubuntu) Status: Incomplete => Confirmed ** Changed in: byobu (Ubuntu) Importance: Undecided => Low -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1771028] Re: Apparmor profile for chronyd needs to allow creation of /var/run/chrony.tty*.sock

2018-05-14 Thread Christian Ehrhardt
For SRU later note steps to reproduce: Trigger #1 - add to chrony conf a line like: refclock SOCK /var/run/chrony.ttyS0.sock (does not need gpsd to really attach, so no special HW needed) See Deny in dmesg: [929890.257312] audit: type=1400 audit(1526282225.749:636): apparmor="DENIED"

[Bug 1771061] Re: please merge new chrony 3.3 for Cosmic

2018-05-14 Thread Christian Ehrhardt
Pushed all related tags to ease review: * [new tag] lp1771061/deconstruct/3.2-4ubuntu4 -> lp1771061/deconstruct/3.2-4ubuntu4 * [new tag] lp1771061/logical/3.2-4ubuntu4 -> lp1771061/logical/3.2-4ubuntu4 * [new tag] lp1771061/new/debian -> lp1771061/new/debian * [new

[Bug 1767283] Re: nc doesn't support "-s IP" option

2018-05-14 Thread Christian Ehrhardt
\o/ everything migrated fine in Cosmic now. Time is ready for an SRU now into Bionic. ** Also affects: netcat-openbsd (Ubuntu Bionic) Importance: Undecided Status: New ** Changed in: netcat-openbsd (Ubuntu Bionic) Status: New => Triaged -- You received this bug notification

[Bug 1771028] Re: Apparmor profile for chronyd needs to allow creation of /var/run/chrony.tty*.sock

2018-05-14 Thread Christian Ehrhardt
The Debian maintainer works closely with us on chrony, so I suggested the change I came up with to him as well - linked up as Debian bug tasks. ** Bug watch added: Debian Bug tracker #898614 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=898614 ** Also affects: chrony (Debian) via

[Bug 1767997] Re: refreshing a pool destroys all volume info in libvirt zfs backend

2018-05-14 Thread Christian Ehrhardt
Thanks for chiming in on the upstream discussion btw! -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1767997 Title: refreshing a pool destroys all volume info in libvirt zfs backend To manage

[Bug 1771061] Re: please merge new chrony 3.3 for Cosmic

2018-05-14 Thread Christian Ehrhardt
Working fine for me in a bunch of tests from ppa: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3259 Proposing the merge now ... ** Merge proposal linked: https://code.launchpad.net/~paelzer/ubuntu/+source/chrony/+git/chrony/+merge/345498 -- You received this bug

[Bug 1718227] Re: replacement of ifupdown with netplan needs integration for /etc/network/if{up, down}.d scripts

2018-05-14 Thread Christian Ehrhardt
** Merge proposal unlinked: https://code.launchpad.net/~paelzer/ubuntu/+source/chrony/+git/chrony/+merge/345498 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1718227 Title: replacement of

[Bug 1764357] Re: uninstalling chrony leaves no time service running

2018-05-14 Thread Christian Ehrhardt
** Merge proposal unlinked: https://code.launchpad.net/~paelzer/ubuntu/+source/chrony/+git/chrony/+merge/345498 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1764357 Title: uninstalling chrony

[Bug 1771028] Re: Apparmor profile for chronyd needs to allow creation of /var/run/chrony.tty*.sock

2018-05-14 Thread Christian Ehrhardt
Hi Mark, thanks for the report - we only discussed with peers about gpsd via shm so far. The rule for that would be too open which is why it is disabled with a comment in the apparmor profile atm. For gpsd via tty I'd have expected all chrony files in /var/run/chrony/... as most of them are in

[Bug 1771061] [NEW] please merge new chrony 3.3 for Cosmic

2018-05-14 Thread Christian Ehrhardt
Public bug reported: We want to get new changes of this early in the cycle and drop some Delta accepted by Debian in the meantime. So far our Delta is no big pain, so we should easily be able to- re-merge later this cycle if needed, ** Affects: chrony (Ubuntu) Importance: Undecided

[Bug 1771028] Re: Apparmor profile for chronyd needs to allow creation of /var/run/chrony.tty*.sock

2018-05-14 Thread Christian Ehrhardt
FYI (as I wondered if we had GPSD rules already) we adressed some of the HW-access issues already in bug 1751241 , but those are not the same, so no conflict going forward with this bug. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1767283] Re: nc doesn't support "-s IP" option

2018-05-14 Thread Christian Ehrhardt
I backported the changes which had a lot of extra noise that had to be dropped. Now a build is ready in ppa [1] I haven't actually read the patch too much yet but found the build to not solve the issues for me on the example from the man page - so I started taking a deeper look. It really works

[Bug 1771101] Re: package chrony 3.2-4ubuntu4 failed to install/upgrade: installed chrony package post-installation script subprocess returned error exit status 1

2018-05-14 Thread Christian Ehrhardt
Hi Majal, hrm if this is a fresh chrony install then something is really odd. The service is expected to be started on install and that failed. It is reported as: Loaded: loaded (/lib/systemd/system/chrony.service; disabled; vendor preset: enabled) I tried in a container and a VM for me it

[Bug 1770754] Re: unable to rename UEFI guests

2018-05-14 Thread Christian Ehrhardt
Given that 1.5.1 is in Bionic newer releases are fixed. Thanks for the report, considering this rather low prio issue for Artful is unlikely. It lacks a few links e.g. to the fix and/or upstream-discussions - Is there a major use case broken by this? ** Also affects: virt-manager (Ubuntu

[Bug 1747411] Re: Change of default database file format to SQL

2018-05-14 Thread Christian Ehrhardt
nss and corosync being the last on this are in Cosmic now. ** Changed in: corosync (Ubuntu) Status: New => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1747411 Title: Change

[Bug 1769888] Re: New upstream microreleases 9.3.23, 9.5.13, 9.6.9 and 10.4

2018-05-14 Thread Christian Ehrhardt
Bileto is no more helping in pre-qualification so much so I ran a few in KVM images. The most relevant tests are from postgresql-common and postgresql itself running the full testsuite. I ran those in autopkgtest VMs locally, and results are all good - so I think we can push these for SRU.

[Bug 1769888] Re: New upstream microreleases 9.3.23, 9.5.13, 9.6.9 and 10.4

2018-05-14 Thread Christian Ehrhardt
Also Cosmic already has 10.4-2 uploaded (in -proposed atm). With all prereqs done sponsoring for SRu review. ** Changed in: postgresql-9.3 (Ubuntu) Status: New => Invalid ** Changed in: postgresql-10 (Ubuntu) Status: New => Invalid ** Changed in: postgresql-9.5 (Ubuntu)

[Bug 1770964] Re: [Bionic][RSS][ConnectX5]:testpmd stop receiving the packets after restarting the ports

2018-05-14 Thread Christian Ehrhardt
We discussed and this is actually a bunch of commits: 1- commit aac6f11f (”app/testpmd: add ethernet peer command”) - this patch is needed for our test framework => Small change to testpmd, likely not in stable branch but needed for tests => While not strictly a bug, I think enabling all

[Bug 1769888] Re: New upstream microreleases 9.3.23, 9.5.13, 9.6.9 and 10.4

2018-05-14 Thread Christian Ehrhardt
The CVE Sev is low so we decided to push through the normal SRU process. ALl pre-tests are ready, so making them available after a final check with my co-maintainer. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1767283] Re: nc doesn't support "-s IP" option

2018-05-14 Thread Christian Ehrhardt
Found a much better backport much more suited for the SRU process. New build in ppa, if it tests fine I'll propose that instead. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1767283 Title: nc

[Bug 1770964] Re: [Bionic][RSS][ConnectX5]:testpmd stop receiving the packets after restarting the ports

2018-05-14 Thread Christian Ehrhardt
** Changed in: dpdk (Ubuntu) Status: New => In Progress -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1770964 Title: [Bionic][RSS][ConnectX5]:testpmd stop receiving the packets after

[Bug 1769053] Re: Cannot start a guest with more than 1TB of RAM

2018-05-15 Thread Christian Ehrhardt
Reported to upstream libvirt's BZ with the suggestions of Daniel Berrage and David Alan Glibert; now available at [1] I linked that up in the LP bug status so that we auto-track this. As eventually this has to go upstream using the bug tracker should better ensure that there is no concurrent

[Bug 1771080] Re: gpsd should start after chrony if they are being used together

2018-05-15 Thread Christian Ehrhardt
Hi Mark, today I'm not answering on my own, instead the Debian maintainer Vincent Blut already contacted me on this bug (as he has issues with Launchpad to answer on his own), so I'm forwarding his message: "The fact that the gpsd.service mentions “After=chronyd.service” should not be an issue

[Bug 1769053] Re: Cannot start a guest with more than 1TB of RAM

2018-05-15 Thread Christian Ehrhardt
Crit prio on Qemu which was explained to work just fine is not correct IMHO. After checking with David he meant to want to raise the prio on the suggested libvirt extensions instead. I'm re-triaging this bug for that and will ping David Berrange if work on this is already tracked on a libvirt-BZ

[Bug 1769053] Re: Cannot start a guest with more than 1TB of RAM

2018-05-15 Thread Christian Ehrhardt
Actually the qemu tasks are "invalid" not "incomplete" as they currently are - after our discussions here it seems we agreed that qemu is doing what is intended (and the reasons why larger bits are not the default). Therefore set the status to that for the qemu tasks. ** Changed in: qemu (Ubuntu)

[Bug 1770235] Re: package mysql-server-5.7 5.7.22-0ubuntu18.04.1 failed to install/upgrade: installed mysql-server-5.7 package post-installation script subprocess returned error exit status 2

2018-05-11 Thread Christian Ehrhardt
Hi from your log: modified.conffile..etc.mysql.mysql.conf.d.mysqld.cnf: [deleted] I can't see more from your conf in this bug, but it seems the config was removed or otherwise modified so that the service can't start anymore. That will break updates. -- You received this bug notification

[Bug 1770222] Re: [MRE] Please update to latest upstream release 7.0.30 / 7.1.17 / 7.2.5

2018-05-11 Thread Christian Ehrhardt
*** This bug is a duplicate of bug 1770184 *** https://bugs.launchpad.net/bugs/1770184 Hi Simon, afaics work on this has already been started in 1770184 - marking this Dup. ** This bug has been marked a duplicate of bug 1770184 Security patches in 5.6.36, 7.0.30, 7.1.17 & 7.2.5 -- You

[Bug 1770235] Re: package mysql-server-5.7 5.7.22-0ubuntu18.04.1 failed to install/upgrade: installed mysql-server-5.7 package post-installation script subprocess returned error exit status 2

2018-05-11 Thread Christian Ehrhardt
Thank you for taking the time to report this bug and helping to make Ubuntu better. On upgrading a service this service has to be restarted to pick up the fixes. Rather rarely a real issue occurs that the newer version does e.g. fail with the formerly working configuration. But most of the time

[Bug 1770090] Re: byobu-config can't run on Ubuntu 18(python 3)

2018-05-11 Thread Christian Ehrhardt
Hi Lance, I installed byobu on my 18.04 and it worked right away - byobu-config as well. # byobu --version byobu version 5.125 tmux 2.6 byobu is on 5.125-0ubuntu1 There must be some change in your python dependencies that triggers this, or an byobu extra of some sort maybe? My system was a

[Bug 1769888] Re: New upstream microreleases 9.3.23, 9.5.13, 9.6.9 and 10.4

2018-05-11 Thread Christian Ehrhardt
Along the ppas bileto tickets are: https://bileto.ubuntu.com/#/ticket/3254 https://bileto.ubuntu.com/#/ticket/3255 https://bileto.ubuntu.com/#/ticket/3256 https://bileto.ubuntu.com/#/ticket/3257 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to

[Bug 1758037] Re: LTC Test- Ubuntu18.04: Starting the guest with network filter defined will fail with "cause is unknown".

2018-05-11 Thread Christian Ehrhardt
Upgraded - 1.3.1-1ubuntu10.23 - 3.6.0-1ubuntu6.7 - 4.0.0-1ubuntu8.1 without issues. Confirmed the issue affected the target release before the proposed version: e.g.: root@b:~# virsh start b1 error: Failed to start domain b1 error: An error occurred, but the cause is unknown Bionic and Artful

[Bug 1770206] Re: virt-install does not work with --os-variant ubuntu18.04

2018-05-15 Thread Christian Ehrhardt
This is actually due to an outdated osinfo-db But honestly this isn't too critical for virt-manager or others, all the aux data like min memory and such are not changing so you could just use 17.10 or 16.04 and be good. The only thing this breaks IMHO is the auto-fetching of ISOs from that URL.

[Bug 1770206] Re: virt-install does not work with --os-variant ubuntu18.04

2018-05-15 Thread Christian Ehrhardt
We might want to update this pkg from https://releases.pagure.org/libosinfo/osinfo-db-20180514.tar.xz into Cosmic and then SRU to Bionic at least. Not sure thou since this is universe :-/ I assume nobody else is volunteering to do this? -- You received this bug notification because you are a

[Bug 1770206] Re: virt-install does not work with --os-variant ubuntu18.04

2018-05-15 Thread Christian Ehrhardt
Since this is outdated in Debian as well (and agx is usually doing the updates, so he knows which tarball/git to merge from which repo) I wanted to file this as a bug in Debian as well. But that would not really help even when synced, as even the latest upstream release being 20180514 does not

[Bug 1172117] Re: Dovecot is unsupportedly-old, and remains old in Raring

2018-05-15 Thread Christian Ehrhardt
I'm clearing old bugs on Dovecot before the next merge. This here is really outdated and I have merged recent dovecot versions every cycle for about the last two years - so we should be as current as we can be. ** Changed in: dovecot (Ubuntu) Status: Incomplete => Fix Released -- You

[Bug 1462759] Re: provide dovecot.service file

2018-05-15 Thread Christian Ehrhardt
Hi, I'm clearing old dovecot issues that have been fixed but missed to update. Sorry that there was no response back then, but we provide a service file for a few releases now so it was solved still. ** Changed in: dovecot (Ubuntu) Status: New => Fix Released -- You received this bug

[Bug 1420648] Re: Client certificate verfication fails

2018-05-15 Thread Christian Ehrhardt
Per former discussion marking invalid to clear old dovecot bugs ** Changed in: dovecot (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1420648 Title: Client

[Bug 941212] Re: /etc/dovecot/README gives wrong path to example configuration files

2018-05-15 Thread Christian Ehrhardt
Hi, I'm clearing old dovecot bugs before the next merge. For quite a few releases this has moved to dovecot-core which has these: /usr/share/doc/dovecot-core/README /usr/share/doc/dovecot-core/README.Debian And the reported error is not present in them. ** Changed in: dovecot (Ubuntu)

[Bug 937040] Re: Duplicate ufw rules installed by dovecot packages

2018-05-15 Thread Christian Ehrhardt
Hi, I'm clearing old dovecot bugs before the merge to check which to consider fixing on the merge. This one here is rather outdated and the last reports mentioned it working. I rechecked and still the only ones that can be affected are people upgrading from when dovecot-common was a thing. I

[Bug 1051942] Re: Upgrade pigeonhole to 0.3.1

2018-05-15 Thread Christian Ehrhardt
Hi, I'm clearing old dovecot bugs to check what needs to be done on a merge. We currently are on pigeonhole 0.4.21 and soon will be 0.4.23 which are both fairly recent. The same is true for merges I did over the last two years. So from todays POV I'm marking this fix released and hope you are

[Bug 1752329] Re: dovecot-sieve post-installation fails when directory /etc/dovecot/conf.d/ is missing

2018-05-15 Thread Christian Ehrhardt
Hi, Marcel thanks for the suggestion and mkdir would not be too hard, but dovecot-sieve pulls in dovecot-core via a hard dependency which in turn creates that dir. So it works just fine. I'd be tempted to call removing /etc/dovecot/conf.d/ a broken config the we don't want to support. People

[Bug 1712899] Re: New release 2.2.32

2018-05-15 Thread Christian Ehrhardt
Fix released by 1:2.2.33.2-1ubuntu4 in Bionic. ** Changed in: dovecot (Ubuntu) Status: Confirmed => Fix Released -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1712899 Title: New release

[Bug 1761136] Re: package dovecot-core 1:2.2.22-1ubuntu2.7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2018-05-15 Thread Christian Ehrhardt
Thank you for taking the time to report this bug and helping to make Ubuntu better. On upgrading a service this service has to be restarted to pick up the fixes. Rather rarely a real issue occurs that the newer version does e.g. fail with the formerly working configuration. But most of the time

[Bug 1761136] Re: package dovecot-core 1:2.2.22-1ubuntu2.7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2018-05-15 Thread Christian Ehrhardt
dovecot-pop3d: /usr/lib/dovecot/pop3 This binary is part of the package. That it is gone breaks your current config. But this should be no normal state, even installing and removing dovecot-pop3d will not break it that way, so I'd assume something like a manual rm or by a script got you in

[Bug 1725440] Re: package dovecot-core 1:2.2.27-3ubuntu1 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 1

2018-05-15 Thread Christian Ehrhardt
Thank you for taking the time to report this bug and helping to make Ubuntu better. Since it seems likely to me that this is a local configuration problem, rather than a bug in Ubuntu, I'm marking this bug as Incomplete. If indeed this is a local configuration problem, you can find pointers to

[Bug 1725440] Re: package dovecot-core 1:2.2.27-3ubuntu1 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 1

2018-05-15 Thread Christian Ehrhardt
Hi, I could not reproduce the issue you are describing. dovecot-managesieved and dovecot-sieve work well together for me it seems. I see in your log: doveconf: Fatal: Error in configuration file /etc/dovecot/conf.d/10-master.conf line 35: Invalid size: $default_vsz_limit This is usually

[Bug 1771932] Re: open-vm-tools 2:10.2.0-3~ubuntu0.16.04.1 ADT test failure with linux-hwe 4.13.0-42.47~16.04.1

2018-05-17 Thread Christian Ehrhardt
Hi Khaled, I must admit http://autopkgtest.ubuntu.com/packages/open-vm-tools puzzles me. >From a source perspective open-vm-tools doesn't have (and never had) a >autopkgtest. So I wonder why there are good/bad tests at all. In addition the two links you sent are not failing: SKIP no tests in

[Bug 1771662] Re: libvirtError: Node device not found: no node device with matching name

2018-05-18 Thread Christian Ehrhardt
Newly deployed Cavium System with 18.04 to get my own view onto this (without openstack/charms in the way) 1. start a basic guest $ sudo apt install uvtool-libvirt qemu-efi-aarch64 $ uvt-simplestreams-libvirt --verbose sync --source http://cloud-images.ubuntu.com/daily arch=arm64

[Bug 1771827] Re: Timed out message while taking dump using virsh dumpxml command & fails with 'held by remoteDispatchDomainCoreDump' error

2018-05-18 Thread Christian Ehrhardt
Hi, I was a bit scared first that mem dumps would be broken in general. But then I have seen that this is only when super-stressing from inside the guest. ### workload dependency ### You picked LTP and memory map test in the guest, I tried to recreate that without success. 1. normal mem dump $

[Bug 1664737] Re: [ARM] : Unable to use Cinder volumes on ARM

2018-05-17 Thread Christian Ehrhardt
Thanks a lot Sean, if it works as in Bionic/Queens then it is even released. Is there a need for the super-deep dive what exactly fixed it to consider SRUs or is Bionic/Queens fine for now? ** Changed in: libvirt (Ubuntu) Status: Fix Committed => Fix Released -- You received this bug

[Bug 1771932] Re: open-vm-tools 2:10.2.0-3~ubuntu0.16.04.1 ADT test failure with linux-hwe 4.13.0-42.47~16.04.1

2018-05-18 Thread Christian Ehrhardt
Hi Khaled, I've seen the old logs as well (which was triggering the puzzlement I stated above). I have wondered about that command1 test and might feel ashamed once we find out where it came from, but for now the point is that there is no debian/test in ANY revision. In a repo containing all

[Bug 1771775] Re: package libsnmp30:i386 5.7.3+dfsg-1ubuntu4.1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration

2018-05-18 Thread Christian Ehrhardt
Hi Jayparth, the logs don't hold how it came to that situation. I usually recommend [1] but with your package being libsnmp30 - give it a try. If it doesn't help in this case as libsnmp is usually not super-important (e.g. I only have it fora odd printer lib I don't use it anymore) you can even

[Bug 1771775] Re: package libsnmp30:i386 5.7.3+dfsg-1ubuntu4.1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration

2018-05-18 Thread Christian Ehrhardt
Thank you for taking the time to report this bug and helping to make Ubuntu better. Since it seems likely to me that this is a local configuration problem, rather than a bug in Ubuntu, I'm marking this bug as Incomplete. If indeed this is a local configuration problem, you can find pointers to

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
Tested autopkgtests manually as doing so on the images is still broken. The old test was centered around mail-stack-delivery and made no sense for Debian. Now that we dropped that but e.g. default ssl is part of dovecot-core we might refresh the tests and then make them usable for Debian as

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
preliminary MP is up at https://code.launchpad.net/~paelzer/ubuntu/+source/dovecot/+git/dovecot/+merge/345683 ** Merge proposal linked: https://code.launchpad.net/~paelzer/ubuntu/+source/dovecot/+git/dovecot/+merge/345683 ** Changed in: dovecot (Ubuntu) Status: New => In Progress --

[Bug 1638865] Re: dovecot dep8 tests intermittently fail on armhf

2018-05-17 Thread Christian Ehrhardt
These tests are maintained outside of the package anyway. On the coming merge of a 2.3 version I'm going to propose to leave them just in git+ssh://git.launchpad.net/qa-regression-testing where they are maintained and used on SRU/Merge/CVE activity, but no more use them as autopkgtest. That

[Bug 1771750] Re: package open-vm-tools 2:10.2.0-3~ubuntu0.16.04.1 failed to install/upgrade: bestandseinde op stdin bij de prompt i.v.m. configuratiebestand

2018-05-17 Thread Christian Ehrhardt
Thank you for taking the time to report this bug and helping to make Ubuntu better. On upgrading a service this service has to be restarted to pick up the fixes. Rather rarely a real issue occurs that the newer version does e.g. fail with the formerly working configuration. But most of the time

[Bug 1771750] Re: package open-vm-tools 2:10.2.0-3~ubuntu0.16.04.1 failed to install/upgrade: bestandseinde op stdin bij de prompt i.v.m. configuratiebestand

2018-05-17 Thread Christian Ehrhardt
Hi jwvdleest, the update is a normal package update - nothing super-special. But from your logs I see an issue on your system. On 2018-05-17 07:00:08 there was a full "apt-get dist-upgrade -y". This is what - among other updates - pulled in the newer open-vm-tools. But this not only asked you

[Bug 1771524] [NEW] Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
Public bug reported: There are a few things that make this merge more uncommon than usual 1. Upstream has a new stable series 2.3 and are on 2.3.1 already. Debian is working on is, but still in experimental, but we'd like to do that for Cosmic. Therefore syncing on

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
Also in a discussion with fellow Ubuntu server team members all were still +1 on dropping it and recommending to maintain such code outside of the package (if anyone wants) -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
ML Discussions: https://lists.ubuntu.com/archives/ubuntu-devel/2018-March/040264.html https://lists.ubuntu.com/archives/ubuntu-devel/2018-May/040324.html I already answered, but I can't find it in the archive - so I quote my mail here to be sure: Hi Phillip, Serge and Mark, I appreciate

[Bug 1764357] Re: uninstalling chrony leaves no time service running

2018-05-16 Thread Christian Ehrhardt
** Merge proposal unlinked: https://code.launchpad.net/~paelzer/ubuntu/+source/chrony/+git/chrony/+merge/345498 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1764357 Title: uninstalling chrony

[Bug 1771028] Re: Apparmor profile for chronyd needs to allow creation of /var/run/chrony.tty*.sock

2018-05-16 Thread Christian Ehrhardt
** Merge proposal linked: https://code.launchpad.net/~paelzer/ubuntu/+source/chrony/+git/chrony/+merge/345498 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1771028 Title: Apparmor profile for

[Bug 1718227] Re: replacement of ifupdown with netplan needs integration for /etc/network/if{up, down}.d scripts

2018-05-16 Thread Christian Ehrhardt
** Merge proposal unlinked: https://code.launchpad.net/~paelzer/ubuntu/+source/chrony/+git/chrony/+merge/345498 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1718227 Title: replacement of

[Bug 1752329] Re: dovecot-sieve post-installation fails when directory /etc/dovecot/conf.d/ is missing

2018-05-16 Thread Christian Ehrhardt
Hmm, I rechecked that, there really should be no way to trigger that bug. As I said dovecot-core will make the dir available, and is a hard dependency. And no matter how I look at it, it feels wrong to fix without understanding why it happened in the first place. If it was just a dir deletion by

[Bug 1771816] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
CVEs are all in. Also all other assumptions of bug 1771524 still hold true in regard to mail-stack-delivery. The only thing not needed here is for the config changes and pam login issue sin 2.3.1 ** Changed in: dovecot (Ubuntu) Status: New => In Progress -- You received this bug

[Bug 1771816] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
Need to re-eval Lucene issues with 2.2.35-2 -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1771816 Title: Merge newer dovecot for Cosmic To manage notifications about this bug go to:

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
Auth-Fails in almost all cases of imap and pop3 login. Already this fails: $ telnet localhost 110 user ubuntu pass ubuntu Dovecot should use the passwd, according to the config the test sets up. Gets: auth[2573]: PAM audit_log_acct_message() failed: Operation not permitted No associated

[Bug 1771524] Re: Merge dovecot 2.3.x for Cosmic

2018-05-17 Thread Christian Ehrhardt
** Summary changed: - Merge newer dovecot for Cosmic + Merge dovecot 2.3.x for Cosmic -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1771524 Title: Merge dovecot 2.3.x for Cosmic To manage

[Bug 1771816] [NEW] Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
Public bug reported: For reasons outlined in bug 1771524 we won't merge 2.3.x just yet. So reconsider merging the latest 2.2.x to have the work on mail-stack-delivery done. This will simplify the 2.3.x move later on to be focused on just that. ** Affects: dovecot (Ubuntu) Importance:

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
Due to many instabilities in 2.3.1 (found on the mailing list) we might do a merge of a more stable version for now. I'm postponing the MP of 2.3.1 until I have synced with Debian and see a few more issues resolved. ** Changed in: dovecot (Ubuntu) Status: In Progress => Incomplete --

[Bug 1771816] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
MP is up at https://code.launchpad.net/~paelzer/ubuntu/+source/dovecot/+git/dovecot/+merge/345759 ** Merge proposal linked: https://code.launchpad.net/~paelzer/ubuntu/+source/dovecot/+git/dovecot/+merge/345759 -- You received this bug notification because you are a member of Ubuntu Bugs,

[Bug 1771816] Re: Merge newer dovecot for Cosmic

2018-05-17 Thread Christian Ehrhardt
# Related PPA is: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3265/+packages -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1771816 Title: Merge newer dovecot for Cosmic To manage

[Bug 1771662] Re: libvirtError: Node device not found: no node device with matching name

2018-05-17 Thread Christian Ehrhardt
What puzzles me is Xenial-Queens working and Bionic showing issues. Because it seems like libvirt being unable to cope with this type of HW, but since it works in one but not the other ... Yet versions are: - xenial-queens libvirt 4.0.0-1ubuntu7~cloud0 qemu 1:2.11+dfsg-1ubuntu7~cloud0 -

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
Checked bug 1524526 in a test build. It is no more an issue there (reason unclear, but could be deep in build and ld). Anyway, that means we really can stop dropping lucene. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu.

[Bug 1524526] Re: Crashes with undefined symbol

2018-05-16 Thread Christian Ehrhardt
FYI - no more an issue in Cosmic (test build) so we will stop disabling dovecot-lucene there. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1524526 Title: Crashes with undefined symbol To manage

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
I had thought of an issue of the breaks/replaces and tested with the first ppa build. Indeed old mail-stack-delivery postrm being triggered would mean a restoration of the cofig before it's installation. This is not how we want it to be transitioned-out. Therefore case 11 of

[Bug 1770964] Re: [Bionic][RSS][ConnectX5]:testpmd stop receiving the packets after restarting the ports

2018-05-15 Thread Christian Ehrhardt
This issue only exists in the ppa, and there the proposed fix is present now. Marking Fix Committed, but waiting for your confirmation before setting Released. ** Changed in: dpdk (Ubuntu) Status: In Progress => Fix Committed -- You received this bug notification because you are a

[Bug 1737211] Re: ipxe-qemu is missing support for devices since qemu 2.7

2018-05-15 Thread Christian Ehrhardt
Hi Lukas, Yeah we only fixed vmxnet3 and gave up on e1000e, see the first section on comment #8. e1000e had issues but was considered not too important to make this a big thing. If there is a super-special really-hard-need-e1000e use-case then please file a new bug to discuss there. -- You

[Bug 1763649] Re: qemu segfaults after re-attaching ceph volume to instance

2018-05-15 Thread Christian Ehrhardt
So it is not fixed by your upgrade to queens as you first thought? => Ubuntu 16.04 + UCA-Queens fails other than stated in comment #2? We these different versions here to consider: - Xenial as-is (no report on it yet) - Artful as-is (no report on it yet) - Xenial-Ocata (initial report, fails) -

[Bug 1763649] Re: qemu segfaults after re-attaching ceph volume to instance

2018-05-15 Thread Christian Ehrhardt
Thanks Crazik for reporting that, at least that means newer versions on Bionic/Queens are good. ** Also affects: qemu (Ubuntu Artful) Importance: Undecided Status: New ** Also affects: qemu (Ubuntu Xenial) Importance: Undecided Status: New ** Changed in: qemu (Ubuntu)

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
Since 2.3.1 is still in experimental (see Debian bug) I moved the lp1771524/new/debian tag to that manually. passed all Dovecot bugs of the last 2 years to clear out or consider on the merge. Reconstruct, Deconstruct and Logical prepared in git merge workflow. Checked CVE patches to exist in

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
Dropped (by dropping mail stack delivery): 276a97d3 2.2.22-1ubuntu Add mail-stack-delivery package d95bbb9a * Use ssl key paths set up by Debian as default - adapt mail-stack-delivery default config - move old mail-stack-deliver 086f95d2 - for the ssl transition to

[Bug 1771524] Re: Merge newer dovecot for Cosmic

2018-05-16 Thread Christian Ehrhardt
Also libstemmer-dev is now in main $ apt-cache policy libstemmer-dev libstemmer-dev: Installed: (none) Candidate: 0+svn585-1build1 Version table: 0+svn585-1build1 500 500 http://de.archive.ubuntu.com/ubuntu bionic/main amd64 Packages So we can depend on that as well now. Lets

[Bug 1772014] Re: netcat-openbsd does not allow setting source port

2018-05-22 Thread Christian Ehrhardt
*** This bug is a duplicate of bug 1767283 *** https://bugs.launchpad.net/bugs/1767283 Hi, you are right and this is a dup of bug 1767283 which I already fixed in Cosmic and have a backport for Bionic ongoing right now. Closing this as Dup. ** This bug has been marked a duplicate of bug

[Bug 1772538] Re: Can't start arm64 VM due to apparmor error.

2018-05-22 Thread Christian Ehrhardt
I set up a Xenial on arm64. I created a working guest like: b1 1f776433-dc84-43ac-9e60-b8e571ae22ff https://launchpad.net/uvtool/libvirt/1;>ssh-rsa

[Bug 1772538] Re: Can't start arm64 VM due to apparmor error.

2018-05-22 Thread Christian Ehrhardt
We have a few changes, but none of these is "the" issue. - Cpu features - cpu model - emulator without redirect But I found that your nvram line is wrong: /usr/share/AAVMF/AAVMF_VARS.fd With that you want it to change the systems default template, you should instead use

[Bug 1688575] Re: Segmentation fault on a slave slapd (sync replication with kerberos authentication)

2018-05-22 Thread Christian Ehrhardt
** Description changed: [Impact] Concurrent SASL authentications could trigger a segfault. This was observed by the bug reporter during replication from a master to a slave, and can be reproduced with a test program. The fix is applied upstream, see comment #13. [Test Case] *

[Bug 1767934] Re: breaking the apparmor profile leads to misleading error messages

2018-05-22 Thread Christian Ehrhardt
Note: bug 1772538 is another testcase where such a message could have been better. -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1767934 Title: breaking the apparmor profile leads to misleading

[Bug 1630946] Re: ubuntu-server depends on open-iscsi and runs iscsid

2018-05-22 Thread Christian Ehrhardt
I'm wondering if taking it out of ubuntu-server but adding it to cloud- image seed would fix it for most people without breaking major use cases. The mentioned mail is sent to ensure I'm not missing other use-cases. -- You received this bug notification because you are a member of Ubuntu Bugs,

[Bug 1771816] Re: Merge newer dovecot for Cosmic

2018-05-22 Thread Christian Ehrhardt
FYI: In Cosmic-Proposed now -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1771816 Title: Merge newer dovecot for Cosmic To manage notifications about this bug go to:

[Bug 1630946] Re: ubuntu-server depends on open-iscsi and runs iscsid

2018-05-22 Thread Christian Ehrhardt
This is currently spread across different seeds, we have: ubuntu./server * open-iscsi # This is Needed by MAAS images to deploy via iscsi ubuntu./server-ship * open-iscsi * open-iscsi-udeb # This is for the installer on/through iscsi (server images) ubuntu./ship * open-iscsi *

[Bug 1763468] Re: [Ubuntu 18.04] P8 compat mode migration fails for Ubuntu 16.04.4 P8 Guest from Ubuntu 16.04.4 P8 Host -> Ubuntu 18.04 P9 Host

2018-05-23 Thread Christian Ehrhardt
Thanks Iranna for the update, the wiki entry LGTM -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1763468 Title: [Ubuntu 18.04] P8 compat mode migration fails for Ubuntu 16.04.4 P8 Guest from

[Bug 1722074] Re: warning: host doesn't support requested feature: CPUID.01H:ECX.vmx

2018-05-23 Thread Christian Ehrhardt
And sorry for the status update noise, one can clearly see that I start to fail once I have to use my mouse :-) -- You received this bug notification because you are a member of Ubuntu Bugs, which is subscribed to Ubuntu. https://bugs.launchpad.net/bugs/1722074 Title: warning: host doesn't

[Bug 1767857] Re: Kernel 4.4.0-122 Breaks qemu-system-x86

2018-05-23 Thread Christian Ehrhardt
Odd, I don't remember where I had the -224 kernel from exactly - even in proposed it isn't :-/. The next one still is a bit out it seems per bug 1772960 I agree that the last you can currently get is linux-image-generic 4.4.0.127.133 But with that as well it just works fine for me. I suffer

[Bug 1722074] Re: warning: host doesn't support requested feature: CPUID.01H:ECX.vmx

2018-05-23 Thread Christian Ehrhardt
Hi, this is not a show stopper at all. It is just a warning and it is fine. It is a trade-off between the "ease to use nested virt" vs "this warning". For example on an intel chip you'd get: qemu-system-x86_64: warning: host doesn't support requested feature: CPUID.8001H:ECX.svm And that as

[Bug 1773004] Re: qemu-system-x86_64 segfaults during guest kernel boot

2018-05-24 Thread Christian Ehrhardt
Hi Tuomas, per the guest serial console this seems to be when it initialized the disks. I tried to reproduce with a guest I had that worked fine on a system with Luns, and added a lun snippet just like yours (ater making sure multipath let it go on the host).

[Bug 1722074] Re: warning: host doesn't support requested feature: CPUID.01H:ECX.vmx

2018-05-23 Thread Christian Ehrhardt
** Also affects: qemu (Ubuntu) Importance: Undecided Status: New ** Changed in: qemu Status: New => Incomplete ** Changed in: qemu Status: Incomplete => Opinion ** Changed in: qemu Status: Opinion => Invalid ** Changed in: qemu (Ubuntu) Status: New =>

  1   2   3   4   5   6   7   8   9   10   >